# class Lib

#### package openfl

Available on all platforms

### Static variables

###

`staticread onlyapplication:Application`

###

`staticread onlycurrent:MovieClip`

### Static methods

###

`staticas<T> (v:Dynamic, c:Class<T>):Null<T>`

###

`staticattach (name:String):MovieClip`

###

`staticclearInterval (id:UInt):Void`

###

`staticclearTimeout (id:UInt):Void`

###

`staticeval (path:String):Dynamic`

Available on Flash

###

`staticfscommand (cmd:String, ?param:String):Void`

Available on Flash

###

`staticgetDefinitionByName (name:String):Class<Dynamic>`

###

`staticgetQualifiedClassName (value:Dynamic):String`

###

`staticgetQualifiedSuperclassName (value:Dynamic):String`

###

`staticgetTimer ():Int`

###

`staticgetURL (request:URLRequest, ?target:String):Void`

###

`staticnavigateToURL (request:URLRequest, ?window:String):Void`

###

`staticnotImplemented (?posInfo:PosInfos):Void`

###

`staticpreventDefaultTouchMove ():Void`

###

`staticredirectTraces ():Void`

Available on Flash

###

`staticsendToURL (request:URLRequest):Void`

###

`staticsetInterval (closure:Function, delay:Int, args:Array<Dynamic>):UInt`

###

`staticsetTimeout (closure:Function, delay:Int, args:Array<Dynamic>):UInt`

###

`statictrace (arg:Dynamic):Void`